/*
 * cscene.cpp
 * Copyright (C) Raul Massano Brás 2012 <rbras@iseg.utl.pt>
 *
 * MulTyLink is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MulTyLink is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CSETCOLOURS_H
#define CSETCOLOURS_H

#include <QDialog>
#include <QHBoxLayout>
#include <QLabel>
#include <map>
#include "cscene.h"
#include "cdata.h"
namespace Ui {
    class csetcolours;
}

class csetcolours : public QDialog
{
    Q_OBJECT

public:
    explicit csetcolours(QWidget *parent,size_t nc,QColor *bc, QColor *tc,CData *data);
    ~csetcolours();

    bool isChanged() {return bChanged;}

protected:
    void changeEvent(QEvent *e);

private slots:
    void on_bSol_clicked();
    void bTypeClicked();
    void on_bMultiType_clicked();
    void on_bBackground_clicked();
    void on_bBarriers_clicked();
    void on_bNoType_clicked();

    void on_buttonBox_accepted();

    void on_buttonBox_rejected();

    void on_bFriction_clicked();

private:
    Ui::csetcolours *ui;
    std::map<QPushButton *,size_t> bMap;
    size_t numTypes;

    QColor *baseColors,*typeColors,tmpBaseColors[COLOR_END],*tmpTypeColors;
    QHBoxLayout **hz;
    QLabel **lb;
    QPushButton **pb;

    bool bChanged;

    void setButtonColor(QPushButton *,const QColor&);

};

#endif // CSETCOLOURS_H
