/*
 * csetparams.h
 * Copyright (C) Raul Massano Brás 2012 <rbras@iseg.utl.pt>
 *
 * MulTyLink is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MulTyLink is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef CSETPARAMS_H
#define CSETPARAMS_H

#include <QtGui/QDialog>
#include "cproblem.h"

namespace Ui {
    class CSetParams;
}

class CSetParams : public QDialog {
    Q_OBJECT
    Q_DISABLE_COPY(CSetParams)
public:
    explicit CSetParams(QWidget *parent, const params *pars,const size_t& nTypes,const double& max_friction);
    virtual ~CSetParams();
    void getVals(double& friction_limit,size_t& nt, size_t& np,int& numRuns, int& timeLimit);

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::CSetParams *m_ui;
    size_t maxPerm;
private slots:
    void onOK();

};

#endif // CSETPARAMS_H
