/*
 * logdlg.cpp
 * Copyright (C) Raul Massano Brás 2012 <rbras@iseg.utl.pt>
 *
 * MulTyLink is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MulTyLink is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "logdlg.h"
#include "ui_logdlg.h"

#include <QMessageBox>

LogDlg::LogDlg(QWidget *parent) :
        QDialog(parent,Qt::WindowMinMaxButtonsHint),
        m_ui(new Ui::LogDlg)
{
    m_ui->setupUi(this);
}

LogDlg::~LogDlg()
{
    delete m_ui;
}

void LogDlg::changeEvent(QEvent *e)
{
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}



void LogDlg::insertText(const QString& t, const QColor& c)
{
    m_ui->textEdit->setTextColor(c);
    m_ui->textEdit->append(t);
    update();
}

